


SRCS	=	\
	ctb_db_api.c \
	ctb_db_commonref_api.c \
	ctb_db_data_init.c \
	ctb_db_devconf_api.c \
	ctb_db_devinfo_api.c \
	ctb_db_func.c \
	ctb_db_osdconf_api.c \
	ctb_db_serviceconf_api.c \
	ctb_db_usertable_api.c

OBJS	=	$(SRCS:.c=.o)

TESTSRC	=	osd.c

TARGET	=	libctdb.a
all:		$(SRCS) $(TARGET)

.c.o:
	$(CC) -g -I../inc -c $<

$(TARGET):	$(OBJS)
	echo "OBJS = $(OBJS)"
	ar r $(TARGET) $(OBJS)

clean:	
	rm -f *.o $(TARGET)


